﻿function GetPluginSettings()
{
	return {
		"name":			"argv",
		"id":			"ARGV",
		"version":		"0.1",
		"description":	"گرفتن آرگومان‌های کامندلاین ارسال شده به نودوبکیت",
		"author":		"Bob",
		"help url":		"#",
		"category":		"Platform specific",
		"type":			"object",
		"rotatable":	false,					
		"flags":		pf_singleglobal		
	};
};
				
AddCondition(0, cf_none, "آیا در نودوبکیت هستیم؟", "argv", "آیا در نودوبکیت هستیم؟", "این شرط در صورتی برقرار است که بازی ما درحال اجرا به وسیله‌ی نودوبکیت باشد", "isNW");
AddStringParam("آرگومان", "بررسی این‌که آیا آرگومان مورد نظر وجود دارد یا نه","");
AddCondition(1, cf_none, "آیا دارای آرگومان است؟", "argv", "آیا آرگومان {0} وجود دارد؟", "آیا آرگومانی خاص از طریق کامندلاین به برنامه ارسال شده است؟", "hasArgument" );
//AddCondition(2, cf_trigger, "On snapshot", "argv", "On snapshot", "On snapshot", "onSnapshot" );



//AddAction(0, af_none, "Exit", "NW", "Exit", "Exit the app", "Exit");
//AddAction(1, af_none, "Snapshot", "NW","Snapshot","Snapshot","snapShot")


AddExpression(0, ef_return_string, "argv", "argv", "argv", "دریافت آرگومان‌ها در قالب جی‌سان برای استفاده در آرایه‌ها");
AddExpression(1, ef_return_string, "argv", "argv", "args", "دریافت همه‌ی آرگومان‌ها در قالب یک رشته");
AddExpression(2, ef_return_number, "argv", "argv", "length", "تعداد آرگومان‌های ارسال شده");
AddNumberParam("Index", "شماره‌ی آرگومان", 0);
AddExpression(3, ef_return_string, "argAt", "argv", "argAt", "دریافت آرگومانی خاص");

//AddExpression(4, ef_return_string, "snapshotdata", "argv", "snapshotdata", "snapshotdata");
ACESDone();
var property_list = [];
	
// Called by IDE when a new object type is to be created
function CreateIDEObjectType()
{
	return new IDEObjectType();
}

// Class representing an object type in the IDE
function IDEObjectType()
{
	assert2(this instanceof arguments.callee, "Constructor called as a function");
}

// Called by IDE when a new object instance of this type is to be created
IDEObjectType.prototype.CreateInstance = function(instance)
{
	return new IDEInstance(instance);
}

// Class representing an individual instance of an object in the IDE
function IDEInstance(instance, type)
{
	assert2(this instanceof arguments.callee, "Constructor called as a function");
	
	// Save the constructor parameters
	this.instance = instance;
	this.type = type;
	
	// Set the default property values from the property table
	this.properties = {};
	
	for (var i = 0; i < property_list.length; i++)
		this.properties[property_list[i].name] = property_list[i].initial_value;
		
	// Plugin-specific variables
	// this.myValue = 0...
}

// Called when inserted via Insert Object Dialog for the first time
IDEInstance.prototype.OnInserted = function()
{
}

// Called when double clicked in layout
IDEInstance.prototype.OnDoubleClicked = function()
{
}

// Called after a property has been changed in the properties bar
IDEInstance.prototype.OnPropertyChanged = function(property_name)
{
}

// For rendered objects to load fonts or textures
IDEInstance.prototype.OnRendererInit = function(renderer)
{
}

// Called to draw self in the editor if a layout object
IDEInstance.prototype.Draw = function(renderer)
{
}

// For rendered objects to release fonts or textures
IDEInstance.prototype.OnRendererReleased = function(renderer)
{
}